<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('solution_groups', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->json('postal_codes')->nullable();
            $table->json('consommations')->nullable();
            $table->json('orientations')->nullable();
            $table->json('types_courant')->nullable();
            $table->json('inclinations')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('solution_groups');
    }
};
